Audio::XMMSClient::Glib(3)

NAME
Audio::XMMSClient::Glib - Use Audio::XMMSClient with a Glib mainloop

SYNOPSIS
  use Audio::XMMSClient::Glib;

  my $conn = Audio::XMMSClient::Glib->new('my-glib-client');
  $conn->connect or die $conn->get_last_error;

  my $result = $conn->broadcast_playback_current_id;
  $result->notifier_set(sub { $conn->quit_loop });

  $conn->loop;

DESCRIPTION
This module subclasses Audio::XMMSClient and overrides "loop" and "quit_loop" with something that uses a Glib based mainloop instead of the standard select-mainloop of Audio::XMMSClient.

METHODS

  loop

Arguments: none
Return Value: none

  $conn->loop;

Starts a Glib::MainLoop for the given connection.

  quit_loop

Arguments: none
Return Value: none

  $conn->quit_loop;

Terminates the mainloop started by "loop".

AUTHOR
Florian Ragwitz <rafl@debian.org>

SEE ALSO
Audio::XMMSClient, Audio::XMMSClient::Result::PropDict

COPYRIGHT AND LICENSE
Copyright (C) 2006-2008, Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.